<div class="main-content">
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header card-header-danger">
                        <h4 class="card-title">Modifier une fonction </h4>

                        <p *ngFor=" let c of Arrayfonction" class="span" >  ID :  {{c.id}} </p>
                    </div>
                    <div>

                    <div>
                        <div class="card-body">


                            <form [formGroup]="form">
                                <div class="row">
                                    <div class="col-md-6">
                                        <span> Libellé fonction </span><br/>
                                        <mat-form-field class="example-full-width">
                                            <input matInput formControlName="libelle_fonction" type="text">
                                        </mat-form-field>
                                        <span *ngIf="isValid('libelle_fonction')"> Champ libelle fonction manquant</span>
                                    </div>
                                    <div class="erreur">{{errorMessage}}</div>
                                </div>
                                <button mat-raised-button type="reset" class="btn btn-danger pull-right" (click)="reset()" >Annuler </button>

                                <button mat-raised-button type="submit" class="btn btn-success pull-right"
                                        [disabled]="form.invalid" (click)="modifierFonction()">Modifier</button>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
